## org.apache.mahout.text
Class SequenceFilesFromLuceneStorage

    java.lang.Object
      org.apache.mahout.text.SequenceFilesFromLuceneStorage

    public class SequenceFilesFromLuceneStorage

extends Object

Generates a sequence file from a Lucene index with a specified id field as the key and a content field as the value. Configure this class with a `LuceneStorageConfiguration` bean.

Constructor Summary
`SequenceFilesFromLuceneStorage()`

Method Summary
`void` `run(LuceneStorageConfiguration lucene2seqConf)` Generates a sequence files from a Lucene index via the given `LuceneStorageConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFilesFromLuceneStorage

    public SequenceFilesFromLuceneStorage()

Method Detail

### run

    public void run(LuceneStorageConfiguration lucene2seqConf)
             throws IOException

  Generates a sequence files from a Lucene index via the given `LuceneStorageConfiguration`

  Parameters:
    `lucene2seqConf` - configuration bean
  Throws:
    `IOException` - if index cannot be opened or sequence file could not be written

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.